CALIBRE-DEBUG(1)

NAME
calibre-debug - calibre-debug

calibre-debug [opcions]

Diverses interfícies de la línia d'ordres que són útils per depurar calibre. Sense opcions, aquesta ordre comença un intèrpret de python incrustat. També podeu executar l'IGU principal de calibre, el visualitzador de calibre i l'editor de calibre en mode de depuració.

També conté interfícies per a diverses parts de calibre que no tenen eines dedicades de la línia d'ordres, com ara el subconjunt de lletres, l'eina diff per comparar llibres electrònics, etcètera.

També podeu utilitzar calibre-debug per a executar scripts independents. Per fer-ho, utilitzeu-ho així:

calibre-debug myscript.py -- --option1 --option2 file1 file2 ...

Tot el que hi hagi després de -- es passarà al script.

Sempre que passeu arguments a calibre-debug i aquests tinguin espais en blanc, delimiteu els arguments amb cometes. Per exemple: "/some path/with spaces"

[OPCIONS]

--add-simple-plugin
    Afegiu un connector simple (per exemple, un connector que consisteixi de només un fitxer .py) quan especifiqueu el camí al fitxer py que conté el codi del connector.

--command, -c
    Executa el codi Python.

--debug-device-driver, -d
    Depura la detecció del dispositiu

--default-programs
    (Des)registra calibre dels programes predeterminats de Windows. --default-programs = (register|unregister)

--diff
    Executa l'eina diff de calibre. Per exemple: calibre-debug --diff fitxer1 fitxer2

--edit-book, -t
    Inicia l'eina d'edició de llibres de calibre en mode de depuració.

--exec-file, -e
    Executa el codi Python del fitxer.

--explode-book, -x
    Expandeix el llibre al directori que s'indica. ÚS: -x fitxer.epub dir_sortida Exporta el llibre com una col·lecció de fitxers HTML i metadades, les quals es poden editar utilitzant eines d'edició HTML estàndards. Funciona amb fitxers EPUB, AZW3, HTMLZ i DOCX.

--export-all-calibre-data
    Exporta totes les dades de calibre (llibres/configuració/connectors). Normalment, us demanarà el directori d'exportació i les biblioteques a exportar. També es poden especificar com a arguments de línia d'ordres per saltar-se les preguntes. Utilitzeu camins absoluts per al directori d'exportació i les biblioteques. La paraula clau especial "tots" es pot utilitzar per exportar totes les biblioteques.

--gui, -g
    Executa la interfície gràfica amb la depuració habilitada. La informació del depurador sortirà per stdout i stderr.

--gui-debug
    Executa la interfície gràfica amb una consola de depuració i amb enregistrament al camí especificat. Només és per a ús intern, utilitzeu l'opció -g per a executar la interfície gràfica en mode de depuració

--help, -h
    mostra aquest missatge d'ajuda i surt

--implode-book, -i
    Contrau un llibre expandit anteriorment. Ús: -i dir_sortida fitxer.epub Importa el llibre a partir dels fitxers dins del dir_sortida, els quals han estat creats anteriorment amb la crida --explode-book. Assegureu-vos d'especificar el mateix tipus de fitxer que es va utilitzar amb l'expansió.

--import-calibre-data
    Importa dades de calibre prèviament exportades

--inspect-mobi, -m
    Inspecciona els fitxers MOBI als camins especificats

--paths
    Sortida dels camins necessaris per configurar l'entorn de calibre

--reinitialize-db
    Torna a inicialitzar la base de dades sqlite de calibre al camí especificat. És útil per recuperar-se de la corrupció de la base de dades.

--run-plugin, -r
    Executa un connector que proporciona una interfície de línia d'ordres. Per exemple: calibre-debug -r "Add Books" -- fitxer1 --opci`ó1 Tot el que hi hagi després de `--`` es passarà al connector com a argument.

--shutdown-running-calibre, -s
    Fa que es tanqui qualsevol instància de calibre, si n'hi ha alguna. Vigileu, ja que si hi ha treballs en execució, s'avortaran sense cap confirmació.

--subset-font, -f
    Subconjunt de la lletra especificada. Utilitzeu -- després d'aquesta opció per a passar l'opció al programa de subconjunts de lletres.

--test-build
    Prova els mòduls binaris a la construcció

--version
    mostra el número de versió del programa i surt

--viewer, -w
    Executa el visualitzador de llibres en mode de depuració

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal